---
search:
  tags:
    - Subscriptions
    - GET
seo:
  description: >-
    Get a subscription purchase. Reference for the GET
    /subscription_purchases/{id} endpoint in the Bolder API v2.
sidebar:
  label: Get a subscription purchase
  badge: GET
title: Get a subscription purchase
type: openapi-operation
---
`GET /subscription_purchases/{id}`

**Responses**

- `200` — Subscription purchase entity
- `404` — Not found

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "contact_id": 0,
  "original_order_id": 0,
  "product_id": 0,
  "product_name": "string",
  "state": "string",
  "currency_code": "string",
  "total_renewal_fee": 0,
  "payment_interval": "string",
  "total_payments": 0,
  "remaining_payments": 0,
  "failed_attempts": 0,
  "last_payment_on": "2019-08-24",
  "next_payment_on": "2019-08-24",
  "start_date": "2019-08-24",
  "end_date": "2019-08-24",
  "cancel_at": "2019-08-24",
  "subscription_fee_id": 0,
  "renewal_discount": 0,
  "discount_num_charges": 0,
  "payments_to_skip": 0,
  "paused_by": "string",
  "paid_setup_fee": true,
  "units": 0,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
